﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace SmartCart
{
    public static class Statistics
    {
        public static Dictionary<string, Dictionary<string, int>> years = new Dictionary<string, Dictionary<string, int>>();
        

        public static void AddYear(string year, string setJanuary, string setFebruary, string setMarch, string setApril, string setMay, string setJune, string setJuly, string setAugust, string setSeptember, string setOctober, string setNovember, string setDecember)
        {
            Dictionary<string, int> monthValue = new Dictionary<string, int>();
            monthValue.Add("1", System.Convert.ToInt32(setJanuary));
            monthValue.Add("2", System.Convert.ToInt32(setFebruary));
            monthValue.Add("3", System.Convert.ToInt32(setMarch));
            monthValue.Add("4", System.Convert.ToInt32(setApril));
            monthValue.Add("5", System.Convert.ToInt32(setMay));
            monthValue.Add("6", System.Convert.ToInt32(setJune));
            monthValue.Add("7", System.Convert.ToInt32(setJuly));
            monthValue.Add("8", System.Convert.ToInt32(setAugust));
            monthValue.Add("9", System.Convert.ToInt32(setSeptember));
            monthValue.Add("10", System.Convert.ToInt32(setOctober));
            monthValue.Add("11", System.Convert.ToInt32(setNovember));
            monthValue.Add("12", System.Convert.ToInt32(setDecember));
            years.Add(year, monthValue);
        }

        public static void AddValue(int val)
        {
            years[System.DateTime.Now.Year.ToString()][System.DateTime.Now.Month.ToString()] += val;
        }

        public static void checkStatYear()
        {
            // kontrollerar att det finns statistik för nuvarande år
            bool exists = false;
            foreach (string year in years.Keys)
            {
                if (year == System.DateTime.Now.Year.ToString())
                    exists = true;
            }
            if (!exists)
            {
                AddYear(System.DateTime.Now.Year.ToString(), "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0");
            }
        }
    }
}
